Complete the README file. Unify all script headers. Delete pbuilder-template (same as -dist). Change my mail address.

This commit is contained in:
Siegfried-Angel Gevatter Pujals (RainCT) 2007-08-04 13:52:30 +02:00
parent 81fd3163e3
commit 49cbb653f3
12 changed files with 93 additions and 78 deletions

View File

@ -1,4 +1,9 @@
#!/usr/bin/python
# The author of this script is unknown
# License: Public Domain
#
# This script is used to check in what components ("main", "restricted",
# "universe" or "multiverse") the dependencies of a package are.
import subprocess
import sys

View File

@ -4,5 +4,5 @@ Albin Tonnerre <lut1n.tne@gmail.com>
Michael Bienia <geser@ubuntu.com>
Kees Cook <kees@ubuntu.com>
Martin Pitt <martin.pitt@ubuntu.com>
Siegfried-A. Gevatter <rainct@ubuntuwire.com>
Siegfried-A. Gevatter <siggi.gevatter@gmail.com>
Jamin W. Collins <jcollins@asgardsrealm.net>

36
README
View File

@ -2,17 +2,41 @@
== Ubuntu Development Tools ==
=====================
404main <package>
... will check in what components the dependencies of <package> are.
check-symbols <package> [<directory>]
... will compare and give you a diff of the exported symbols of all .so
files in all binary packages of <package>.
<directory> is not mandatory and set to /var/cache/pbuilder/result by default.
dch-repeat [--help]
... will repeat a change log into an older release.
get-branches <directory> <team> [checkout|branch]
... will branch / checkout all the Bazaar branches in a Launchpad team.
mk-sbuild-lv
... will create LVM snapshot chroots via schroot and sbuild. It assumes that
sbuild has not be installed and configured before.
pbuilder-dist [create|update|build|clean|login|execute]
... is a wrapper to use pbuilder with many different distributions / versions.
It has to be renamed to something like pbuilder-feisty, pbuilder-gutsy, etc.
pull-debian-debdiff <package> <version>
... will attempt to find and download a specific version of a Debian package
and its immediate parent to generate a debdiff.
suspicious-source
... will output a list of files which are not common source files. This should be
run in the root of a source tree to find files which might not be the "prefered
form of modification" that the GPL and other licenses require.
update-maintainer
... will update the maintainer field of an Ubuntu package to match the
DebianMaintainerField specification.
what-patch
... will check what patching system is used by a package.
You need to be in it's source directory in order that it works.
suspicious-source
... will output a list of files which are not common source files. This
should be run in the root of a source tree to find files which might
not be the 'prefered form of modification' that the GPL and other
licenses require.

View File

@ -1,7 +1,10 @@
#!/bin/bash
# Copyright 2006-2007 (C) Daniel Holbach <daniel.holbach@ubuntu.com>
# Modified by Siegfried-A. Gevatter <rainct@ubuntuwire.com>
# Modified by Siegfried-A. Gevatter <siggi.gevatter@gmail.com>
# License: GPLv2
#
# This script is used to get a diff of the exported symbols of all .so files in
# every binary package of package $1.
PACKAGES="`apt-cache showsrc $1 | grep ^Binary | sed 's/Binary\:\ //g;s/\,//g' | sort -u`"
DEBLINE=""

View File

@ -1,6 +1,7 @@
#!/usr/bin/perl
# Copyright 2007, Kees Cook <kees@ubuntu.com>
# Copyright 2007 (C) Kees Cook <kees@ubuntu.com>
# License: GPLv2
#
# This script is used to repeat a change log into an older release. It
# expects that --build-tree is layed out with each Ubuntu release as a
# separate directory ("feisty", "edgy", etc).
@ -9,6 +10,7 @@
# $TREE/feisty/gimp-2.2.13, running "dch-repeat" in
# $TREE/edgy/gimp-2.2.13 would pull in the latest changelog from the Feisty
# build.
use strict;
use warnings;
use Getopt::Long;

View File

@ -1,8 +1,10 @@
#!/usr/bin/python
# (C) 2007, Canonical
# Daniel Holbach
# GPLv3
# Copyright 2007 (C) Canonical Ltd.
# Created by Daniel Holbach <daniel.holbach@ubuntu.com>
# License: GPLv3
#
# This script is used to checkout or branch all the Bazaar branches
# in a Launchpad team.
import urllib2
import sys
@ -65,4 +67,3 @@ def main():
if __name__ == "__main__":
main()

View File

@ -1,9 +1,13 @@
#!/bin/bash
# Script to create LVM snapshot chroots via schroot and sbuild.
# Copyright 2006-2007 (C) Canonical Ltd.
# Created by Kees Cook <kees@ubuntu.com>
# License: GPLv2
#
# This script creates LVM snapshot chroots via schroot and sbuild.
# Much love to "man sbuild-setup", https://wiki.ubuntu.com/PbuilderHowto,
# and https://help.ubuntu.com/community/SbuildLVMHowto.
#
# This script assumes that sbuild has not be installed and configured before.
# It assumes that sbuild has not be installed and configured before.
#
# If using schroot earlier than 1.1.4-1, it's a good idea to apply the
# process-cleaning patch to /etc/schroot/setup.d/10mount. Without this, any
@ -17,9 +21,7 @@
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=392992
#
# Version: 0.11
#
# Copyright 2006-2007, Canonical Ltd, Kees Cook <kees@ubuntu.com>
# License: GPLv2
set -e
# Make sure we've got a regular user

View File

@ -1,19 +1,30 @@
#!/bin/sh
# script from Jamin W. Collins BTS: #255165
# name this script 'pbuilder-dapper', 'pbuilder-edgy', 'pbuilder-feisty' etc.
# Copyright (C) Jamin W. Collins <jcollins@asgardsrealm.net>
# License: Public Domain
#
# The only variable you really might need to change is BASE_DIR if you don't want pbuilder stuff in ~/
# This script is a wrapper to use pbuilder with many different
# distributions / versions.
#
# Name this script 'pbuilder-dapper', 'pbuilder-feisty', 'pbuilder-gutsy', etc.
#
# The only variable you really might need to change is BASE_DIR, if you
# don't want pbuilder stuff in your home directory.
#
# BTS: #255165
BASE_DIR="$HOME/pbuilder"
OPERATION=$1
DISTRIBUTION=`basename $0 | cut -f2 -d '-'`
PROCEED=false
BASE_DIR="$HOME/pbuilder"
case $OPERATION in
create|update|build|clean|login|execute )
PROCEED=true
;;
esac
if [ $PROCEED = true ]; then
if [[ $PROCEED = true ]]; then
shift
if [ ! -d $BASE_DIR/${DISTRIBUTION}_result ]
then mkdir -p $BASE_DIR/${DISTRIBUTION}_result/

View File

@ -1,36 +0,0 @@
#!/bin/sh
# Script from Jamin W. Collins BTS: #255165
# Name this script 'pbuilder-dapper', 'pbuilder-edgy', 'pbuilder-feisty', etc.
#
# The only variable you really might need to change is BASE_DIR if you don't want pbuilder stuff in ~/
OPERATION=$1
DISTRIBUTION=`basename $0 | cut -f2 -d '-'`
PROCEED=false
BASE_DIR="$HOME/pbuilder"
case $OPERATION in
create|update|build|clean|login|execute )
PROCEED=true
;;
esac
if ( $PROCEED == true ) then
shift
if [ ! -d $BASE_DIR/${DISTRIBUTION}_result ]
then mkdir -p $BASE_DIR/${DISTRIBUTION}_result/
fi
sudo pbuilder $OPERATION \
--basetgz $BASE_DIR/$DISTRIBUTION-base.tgz \
--distribution $DISTRIBUTION \
--buildresult $BASE_DIR/$DISTRIBUTION_result \
--othermirror "deb http://archive.ubuntu.com/ubuntu $DISTRIBUTION universe multiverse" $@
else
echo "Invalid command..."
echo "Valid commands are:"
echo " create"
echo " update"
echo " build"
echo " clean"
echo " login"
echo " execute"
exit 1
fi

View File

@ -1,12 +1,16 @@
#!/usr/bin/perl
# Copyright 2007 Kees Cook <kees@ubuntu.com>
# License GPLv2
# Copyright 2007 (C) Kees Cook <kees@ubuntu.com>
# License: GPLv2
#
# This script attempts to find and download a specific version of a Debian
# package and its immediate parent to generate a debdiff.
# Requires: devscripts diffstat dpkg-dev
#
# Requirements: devscripts diffstat dpkg-dev
#
# Cleanups needed:
# - general cleanup
# - parse diff.gz/orig.tar.gz from .dsc file instead of guessing version
use strict;
use warnings;
@ -90,7 +94,6 @@ sub download_source
}
my $pkg = $ARGV[0];
my $version = $ARGV[1];
my $skip = $ARGV[2] || 1;

View File

@ -1,12 +1,11 @@
#!/bin/bash
# Copyright 2007 (C) Siegfried-A. Gevatter <rainct@ubuntuwire.com>
# Copyright 2007 (C) Siegfried-A. Gevatter <siggi.gevatter@gmail.com>
# Based upon a script by Martin Pitt <martin.pitt@ubuntu.com>
# License: GPL v3 or later
#
# Outputs a list of files which are not common source files. This
# should be run in the root of a source tree to find files which might
# not be the 'prefered form of modification' that the GPL and other
# licenses require.
# This script outputs a list of files which are not common source files. This
# should be run in the root of a source tree to find files which might not be
# the "prefered form of modification" that the GPL and other licenses require.
FILES="*.h *.c *.cc *.cpp *.py *.sh *.txt *.text *.3 *.m4 *.xml *.html *.php *.php3 *.php4 \
*.class *.form *.module *.cfg *.conf *.config *.odt *.odp *.tex *.sla *.scd \

View File

@ -1,8 +1,9 @@
#!/bin/bash
#update-maintainer
#small - thus not perfect - script to update maintainer field in ubuntu packages
#written and (c) 2007 by Albin Tonnerre <lut1n.tne@gmail.com> (Lutin)
#this code is under the GNU GPL V2 licence
# Copyright 2007 (C) Albin Tonnerre (Lutin) <lut1n.tne@gmail.com>
# License: GPLv2
#
# This script is used to update the maintainer field of an Ubuntu package
# to match the DebianMaintainerField specification.
if [ ${#@} -ge 1 ]; then
for argv in "$@"; do
@ -25,14 +26,14 @@ if [ -f debian/control -a -f debian/changelog ]; then
elif [ -f control -a -f changelog ]; then
DEBIANDIR=.
else
echo "Please run that script in the source folder" >&2 && exit 1
echo "Please run that script in the source folder." >&2 && exit 1
fi
IGNORE_DOMAINS="ubuntu\.com|ubuntu\.com\.au"
[ -n "`head -n 1 $DEBIANDIR/changelog | grep -E "\(*ubuntu.*\)"`" ] &&
[ -z "`grep -E "^Maintainer: .*($IGNORE_DOMAINS)>" $DEBIANDIR/control`" ] || \
{ echo "Not an ubuntu package or already maintained by the ubuntu team" >&2 && \
{ echo "Not an Ubuntu package or already maintained by the Ubuntu team." >&2 && \
exit 1; }
mail=$(grep -E "^Maintainer" $DEBIANDIR/control | sed -r 's/.*<(.*)>/\1/')
@ -46,7 +47,7 @@ if [ -z "$email" ]; then
DISTRO=$(head -n 1 $DEBIANDIR/changelog|sed -r 's/.*\) (.*);.*/\1/' | cut -d'-' -f1)
pkgline=$(apt-cache madison `head -n 1 $DEBIANDIR/changelog | cut -d' ' \
-f1`| grep -m 1 "$DISTRO.*Sources")
[ -z "$pkgline" ] && echo "You don't have $DISTRO in your source repos" \
[ -z "$pkgline" ] && echo "You don't have $DISTRO in your source repos." \
>&2 && exit 1
section=$(echo $pkgline | grep -Eo "main|universe|multiverse|restricted")
fi
@ -59,5 +60,5 @@ fi
sed -ri "s/(^Maintainer:) (.*)/\1 $email\nXSBC-Original-\1 \2/" $DEBIANDIR/control
[ -f $DEBIANDIR/control.in ] && sed -ri "s/(^Maintainer:) (.*)/\1 $email\nXSBC-Original-\1 \2/" $DEBIANDIR/control.in
dch "Modify Maintainer value to match Debian-Maintainer-Field Spec"
echo "Maintainer changed to $email"
dch "Modify Maintainer value to match the DebianMaintainerField specification."
echo "Maintainer changed to $email."